<div class="Main" data-title="Settings">
    <div id="settings_container">

        <div license="extended" class="license-needed">

            <div id="spintax-setting-section" class="settings-area">

                <label class="select-label settings-element">Spintax
                    <div class="tooltip">?
                        <span class="tooltiptext">Check to enable spintax processing For more on this check out our tutorial on spintax: <a
                                    href="https://lpagery.io/docs/create-unique-content-using-the-spintax-function/">Click here</a></span>
                    </div>
                </label>

                <label class="switch">
                    <input class="lpagery-settings-input" type="checkbox" id="spintax-enabled" name="spintax-enabled">
                    <span class="slider round"></span>


            </div>

            <div id="spintax-setting-section" class="settings-area">
                <label for="custom_post_types" class="select-label">Select Custom Post Types
                    <div class="tooltip">?
                        <span class="tooltiptext">Choose, which custom post types you want to be able to use as a template page. <b>Only hierarchical post types are supported </b></span>
                    </div>
                </label>


                <select class="js-example-basic-multiple lpagery-settings-input" name="custom_post_types"
                        id="custom_post_types"
                        style="margin-bottom: 20px" multiple="multiple">
					<?php 
$post_types = LPagerySettingsController::lpagery_get_post_types();
$allowed_html = array(
    'option' => array(
    'value' => array(),
),
);
foreach ( $post_types as $type ) {
    $option = '<option value="' . esc_html( $type ) . '">';
    $option .= esc_html( $type );
    $option .= '</option>';
    echo  wp_kses( $option, $allowed_html ) ;
}
?>
                </select><br>
            </div>

			<?php 
?>
            <button type="button" value="Save Settings" class="lpagery-button" name="save_settings" id="save_settings"
                    disabled>
                <span class="button__text">Save Settings</span>
            </button>
        </div>
    </div>
</div>