jQuery(function ($) {

    $('#save_settings').on('click', function (e) {
        $.toggleRotating($(this), true)
        var settings_payload = {
            "_ajax_nonce": lpagery_ajax_object_settings.nonce,

            'action': 'lpagery_save_settings',
            'settings': {
                'spintax': $('#spintax-enabled').is(':checked'),
                'custom_post_types': $('#custom_post_types').val()
            }
        }
        $.ajax({
            "method": "post",
            "url": lpagery_ajax_object_settings.ajax_url,
            "data": settings_payload,
            "success": function (response) {
                console.log(response)
                console.log("settings saved")
                setTimeout(function () {
                    $.toggleRotating($('#save_settings'), false)
                    $.toggleEnabled($('#save_settings'), false);
                }, 300);

            }
        })
    })

    $('.lpagery-settings-input').bind('input keyup', function () {
        $.toggleEnabled($('#save_settings'), true)
    });
    $.lpagery_load_settings = function () {
        var settings_payload = {
            'action': 'lpagery_get_settings',
            "_ajax_nonce": lpagery_ajax_object_settings.nonce
        }
        jQuery.ajax({
            "method": "get",
            "url": lpagery_ajax_object_settings.ajax_url,
            "data": settings_payload,
            "success": function (response) {
                var parsed = JSON.parse(response);
                $('#spintax-enabled').prop('checked', JSON.parse(parsed.spintax))
                $('#custom_post_types').val(parsed.custom_post_types).change()
                console.log(parsed);
            }
        })
    }
});