<?php

class LPageryDao {

	static function _prepare_in ( $values ) {
		return implode( ',', array_map( function ( $value ) {
			global $wpdb;

			// Use the official prepare() function to sanitize the value.
			return sanitize_text_field($wpdb->prepare( '%s', $value ));
		}, $values ) );
	}

	public static function lpagery_search_posts( $term, $types ) {
		global $wpdb;
		$term      = '%' . $term . '%';

		$prepare_in = self::_prepare_in( $types );
		$prepare = $wpdb->prepare(
			"SELECT ID, post_title FROM $wpdb->posts p where post_title like %s and post_type in ($prepare_in) and post_status = 'publish'", $term
		);
		return $wpdb->get_results( $prepare );
	}

}